Build Archlinux packages in rootless podman container

### Why

1. `sudo` is run inside container (required for makepkg). Does not affect host system
2. Does not install unnecessary make dependencies in host system
3. Build runs in clean environment. 

### Usage

1. Remove/Replace mirror url. I run [pacoloco](https://github.com/anatol/pacoloco) locally at archmirror.i.balki.me
2. Change PACKAGER setting to your name/email
3. Add AUR dependencies in a folder `deps/` (if any)

### Command to build

```
podman build -t aur_builder:latest .
```

### Command to run

```
cd /path/to/PKGBUILD_dir
podman run --rm -it -v $PWD:/w aur_builder:latest
```

Drop to shell before building.

```
podman run --rm -it -v $PWD:/w -e DEBUG_SHELL=y aur_builder:latest
```
